package models

import (
	"encoding/json"
	"os"
)

type config struct {
	PostsDir     string
	AssetsDir    string
	TemplatesDir string
	TemplatesExt string
	LocalIP      string
	LocalPort    string
	ServerIP     string
	ServerPort   string
	ServerDomain string
	Port         string
}

var (
	Cfg = &config{}
)

func (c *config) Load(configPath string) error {
	configFile, err := os.ReadFile(configPath)
	if err != nil {
		return err
	}
	err = json.Unmarshal(configFile, c)
	if err != nil {
		return err
	}
	return nil
}
